module cbalance
  use balance
  use cl_args
  use ll_intervals
  implicit none

  contains

  subroutine calc_intervals(ll_interv, n, T, lbg, ubg, max_eig)
    bind(c) calc_intervals
    type(ll_list), intent(inout) :: ll_interv
    integer, intent(in) :: n, max_eig
    real(kind=r_kind), intent(in) :: lbg, ubg, T(n)
    integer :: status

    status = seq_balance(ll_interv, n, T, lbg, ubg, max_eig)
  end subroutine calc_intervals
end module cbalance

